- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: TDiscriminator TInlineParameterMapParser TParameterMap TParameterProperty TResultMap TResultProperty TSimpleDynamicParser TSqlMapCacheKey TSqlMapCacheModel TSqlMapCacheTypes TSqlMapDelete TSqlMapInsert TSqlMapSelectKey TSqlMapStatement TSqlMapUpdate TSqlMapXmlConfigBuilder TSqlMapXmlConfiguration TSqlMapXmlMappingConfiguration TSubMap |
Keyword
# Class TSimpleDynamicParser
TSimpleDynamicParser finds place holders $name$ in the sql text and replaces it with a TSimpleDynamicParser::DYNAMIC_TOKEN. Since: 3.1 Author: Wei Zhuo <weizho[at]gmail[dot]com>
Method Summary
array | parse ( string $sqlText) Parse the sql text for dynamic place holders of the form $name$.
Constant Summary
string | DYNAMIC_TOKEN |
string | PARAMETER_TOKEN_REGEXP |
Method Details
## parse
public array parse | (string $sqlText )
Parse the sql text for dynamic place holders of the form $name$.
Input
string | $sqlText | Sql text.
Output
array | name value pairs 'sql' and 'parameters'.
Exception
Constant Details
### DYNAMIC_TOKEN #### Type: string #### Value: '`!`'
### PARAMETER_TOKEN_REGEXP #### Type: string #### Value: '/\$([^\$]+)\$/'